// import { Component } from 'react'
// import { View, Text } from '@tarojs/components'
// import { observer, inject } from 'mobx-react'
// import React from 'react'
// import CustomNavbar from '../../components/customNavbar/index2'
// import BookSearch from '../../components/puppetry/BookSearch'
// import BookHead from '../../components/puppetry/BookHead'
// import BookHotTabs from '../../components/puppetry/BookHotTabs'
// import BookboxRowBig from '../../components/puppetry/BookBox/BookboxRowBig'
// import Taro from '@tarojs/taro'

// import { getAllSearching, search } from '../../api/index'

// import './index.less'
// type PageStateProps = {
//     store: {
//         indexStore: {
//             navBarTop: number,
//             SET_NAVBARMARGINTOP: Function
//         },
//         bookStore: {
//             action: Function,
//             channel: 'f' | 'm',
//             setChannel: (str: 'f' | 'm') => void
//         },
//     }
// }
// interface Search {
//     props: PageStateProps;
// }



// @inject('store')
// @observer
// class Search extends Component {
//     state = {
//         searchList: [],   // 搜索结果
//         searchVal: "",    // 搜索内容
//         hotVal: [],       // 搜索页大家都在搜list
//         historyVal: [],   // 搜索历史
//     }
//     onLoad() {
//         try{
//             let searchValue: any[] = Taro.getStorageSync('search-val')
//             if(searchValue) {
//                 this.setState({
//                     historyVal: searchValue
//                 })
//             }
//         }catch(e) {}
//         this.getList()
//     }

//     getList = () => {
//         /** 搜索页大家都在搜 */
//         const { bookStore } = this.props.store
//         getAllSearching({channel: bookStore.channel}).then((res: any) => {
//             let body = res?.body?.map(item => {
//                 let action = item?.action?.split('/')
//                 return {
//                     text: item?.character_title,
//                     value: action[action.length - 1]
//                 }
//             })
//             this.setState({
//                 hotVal: body
//             })
//         })
//     }

//     /** 点击搜索历史 */
//     historyHanlde = (text: string) => {
//         this.searchHandle(text)
//     }

//     /** 搜索 */
//     searchHandle = (value: string) => {
//         this.setState({
//             searchVal: value
//         })
//         search({keyword: value}).then((res: any) => {
//             try {
//                 // 保存搜索记录
//                 let searchValue: any[] = this.state.historyVal
//                 if(searchValue){
//                     let ind = searchValue.findIndex(item => item === value)
//                     if(ind === -1){
//                         if(searchValue.length >= 10) {
//                             searchValue = searchValue.splice(1)
//                             searchValue.push(value)
//                         }else{
//                             searchValue.push(value)
//                         }
//                         Taro.setStorageSync('search-val', searchValue)
//                     }
//                 }else{
//                     Taro.setStorageSync('search-val', [value])
//                 }
//                 this.setState({
//                     historyVal: Taro.getStorageSync('search-val')
//                 })
//             } catch (e) { }

//             this.setState({
//                 searchList: res?.body?.list
//             })
//         })
//     }
//     /** 清除搜索历史 */
//     removeHistory = () => {
//         try {
//             Taro.removeStorageSync('search-val')
//             this.setState({
//                 historyVal: []
//             })
//         } catch (e) {
//             // Do something when catch error
//         }
//     }

//     render() {
//         const { indexStore: { navBarTop } } = this.props.store
//         return (
//             <View className='search'>
//                 <CustomNavbar navBarTop={navBarTop} title="搜索" isToBack fontSize={36}></CustomNavbar>
//                 <BookSearch onBack={this.searchHandle} val={this.state.searchVal} onClear={()=>{this.setState({searchList: []})}}></BookSearch>
//                 {
//                     this.state.searchList.length === 0 ? <View>
//                         <BookHead title="大家都在搜" fontSize={32}></BookHead>
//                         <BookHotTabs hotValue={this.state.hotVal} onBack={(id)=>{Taro.navigateTo({url: `/pages/book/bookDetails/index?book_id=${id}`})}} scroll={false}></BookHotTabs>
//                         <View className="line"></View>
//                         <BookHead title="搜索历史" fontSize={32} imgUrl={require('../../icon/delete.png')} fitOnBack={this.removeHistory} imgWidth={36}></BookHead>
//                         {/* 历史记录 */}
//                         <View className="history">
//                             {
//                                 this.state.historyVal?.map(item => {
//                                     return <View className="histore_item" onClick={()=>{
//                                         this.historyHanlde(item)
//                                     }}>
//                                         <Text>{item}</Text>
//                                     </View>
//                                 })
//                             }
//                         </View>
//                     </View> :
//                     <View>
//                         <View className="searchTs">
//                             搜索"<Text>{this.state.searchVal}</Text>"结果，共<Text>{this.state.searchList?.length}</Text>条
//                         </View>
//                         <View className='w  row for_top pd_btm'>
//                         {
//                             this.state.searchList?.map((item, index) => {
//                                 return <View onClick={() => {  }} key={index}><BookboxRowBig {...item} /></View>
//                             })
//                         }
//                         </View>
//                     </View>
//                 }
//             </View>
//         )
//     }
// }

// export default Search
