import { observable } from 'mobx'

let interval: NodeJS.Timeout | undefined = undefined
const Index = observable({
    scene: 0,    // 场景值
    system: '',  // 系统
    navBarTop:0,//状态栏高度
    navHeight:0,//导航栏高度
    query:null,//本次进入小程序参数
    setData(data: { [key: string]: any }) {
        if (data) {
            Object.keys(data).forEach(key => {
                console.log(key)
                this[key] = data[key]
            })
        }
    },
})

export default Index