import { wxlogin, wxloginInit } from './wx/login'
import { dylogin, dyloginInit } from './dy/login'
import { getAppComponent } from './index/index'
import { getBookCategoryList } from './classify'
import { getShortBookInfoAppListOfPage } from './book/short'
const isWechat = process.env.TARO_ENV === 'weapp'
//统一导出接口,用于判断打包时的环境，使用不同的接口
const apiObj = {
    /**登录*/
    login: isWechat ? wxlogin : dylogin,
    /**初始化*/
    loginInit: isWechat ? wxloginInit : dyloginInit,
    /**小程序组件列表*/
    getAppComponent,
    /**小说分类列表*/
    getBookCategoryList,
    /**获取小说列表*/
    getBookPageList:getShortBookInfoAppListOfPage, 
}
export default apiObj
